FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202111041632.p0.git.1c707a2.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202111041632.p0.git.1c707a2.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=1c707a2 OS_GIT_VERSION=4.8.0-202111041632.p0.git.1c707a2.assembly.stream-1c707a2 SOURCE_DATE_EPOCH=1631715154 SOURCE_GIT_COMMIT=1c707a28e88b42780fb37fad4532be7220acd1c5 SOURCE_GIT_TAG=1c707a2 SOURCE_GIT_URL=https://github.com/openshift/mdns-publisher 
WORKDIR /go/src/github.com/openshift/mdns-publisher
COPY . .
RUN GO111MODULE=on go build --mod=vendor

FROM openshift/ose-base:v4.8.0.20211104.164221
ENV __doozer=update BUILD_RELEASE=202111041632.p0.git.1c707a2.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202111041632.p0.git.1c707a2.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=1c707a2 OS_GIT_VERSION=4.8.0-202111041632.p0.git.1c707a2.assembly.stream-1c707a2 SOURCE_DATE_EPOCH=1631715154 SOURCE_GIT_COMMIT=1c707a28e88b42780fb37fad4532be7220acd1c5 SOURCE_GIT_TAG=1c707a2 SOURCE_GIT_URL=https://github.com/openshift/mdns-publisher 
COPY --from=builder /go/src/github.com/openshift/mdns-publisher/mdns-publisher /usr/bin/

ENTRYPOINT ["/usr/bin/mdns-publisher"]

LABEL \
        io.k8s.display-name="mDNS-publisher" \
        io.k8s.description="Configurable mDNS service publisher" \
        maintainer="Antoni Segura Puimedon <antoni@redhat.com>" \
        name="openshift/ose-mdns-publisher" \
        com.redhat.component="ose-mdns-publisher-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="mDNS" \
        release="202111041632.p0.git.1c707a2.assembly.stream" \
        io.openshift.build.commit.id="1c707a28e88b42780fb37fad4532be7220acd1c5" \
        io.openshift.build.source-location="https://github.com/openshift/mdns-publisher" \
        io.openshift.build.commit.url="https://github.com/openshift/mdns-publisher/commit/1c707a28e88b42780fb37fad4532be7220acd1c5" \
        version="v4.8.0"

